EAPI=7

inherit autotools

DESCRIPTION="standalone signaling server for Nextcloud Talk"
HOMEPAGE="https://github.com/strukturag/nextcloud-spreed-signaling"
SRC_URI="https://github.com/strukturag/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="net-misc/nats-server
		net-misc/janus-gateway
		net-im/coturn"
BDEPEND=">=dev-lang/go-1.10.0"

# NOTE: this won't actually work when run from portage, because the
# sandbox (correcly) prevents it from downloading stuff; build it
# manually with `ebuild ... compile`, install, qmerge

src_compile() {
	emake -j1 build
}

src_install() {
	newbin bin/signaling nextcloud-spreed-signaling
	newbin bin/proxy nextcloud-spreed-proxy
	einstalldocs
	dodoc proxy.conf.in server.conf.in
}
